
Ryzom - Bug # 1453

Status: Closed Priority: Normal
Author: GelluleX Category: OS: Mac
Created: 03/31/2012 Assignee: kervala
Updated: 05/11/2012 Due date:
Subject: Compilations issues with OSX / Xcode 4.3.2
Description

I had to do the following (see attached patch) to make compilation of changeset: 2053:d1590736279a go through.
I can go through the details if you wish.

Related issues:
duplicates Ryzom - Bug # 1448: Compilation with CLang Closed 03/09/2012

History
#1 - 04/07/2012 11:13 am - kervala

Thanks a lot for your patches !

I have access to a Mac mini with Xcode 4.3.2 and I'm able to check your patches now :)

By the way, I'm applying your patches on issue #1448 because it's not related to Xcode but Clang. So if you want to compile Ryzom with Clang under
Windows or Linux, it'll be the same problems.

#2 - 04/07/2012 11:31 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala

#3 - 04/07/2012 11:32 am - kervala
- Status changed from Assigned to Resolved
- Target version set to Version 0.9.0
- % Done changed from 0 to 100

#4 - 04/09/2012 02:34 am - GelluleX

Fair enough! Happy to help.

#5 - 04/09/2012 11:05 am - kervala

Btw I think I'll use Clang instead of GCC under Linux, because Clang is faster :)

#6 - 05/11/2012 04:36 pm - sfb
- Status changed from Resolved to Closed

Files
fixesForXCode4.3.2.diff 13.1 kB 03/31/2012 GelluleX

07/09/2015 1/1


